petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCApplySymmetricRight

Applies the right part of a symmetric preconditioner to a vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCApplySymmetricRight(PC pc,Vec x,Vec y)

Collective on PC and Vec Many br

### Input Parameters

| pc | - the preconditioner context Many br
| x | - input vector Many br

### Output Parameter

y -output vector Many br

Many br

### Notes

Currently, this routine is implemented only for PCICC and PCJACOBI preconditioners. Many br

### Keywords

PC, apply, symmetric, right

### See Also

PCApply(), PCApplySymmetricLeft()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages